DBOutputFormat.DBRecordWriter (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.db
Class DBOutputFormat.DBRecordWriter

    java.lang.Object
      org.apache.hadoop.mapred.lib.db.DBOutputFormat.DBRecordWriter

All Implemented Interfaces:
  RecordWriter<K,V>

Enclosing class:
  DBOutputFormat<K extends DBWritable,V>

    protected class DBOutputFormat.DBRecordWriter

extends Object
implements RecordWriter<K,V>

A RecordWriter that writes the reduce output to a SQL table

Constructor Summary
`protected` | `DBOutputFormat.DBRecordWriter(Connection connection, PreparedStatement statement)`

Method Summary
`void` | `close(Reporter reporter)` Close this `RecordWriter` to future operations.
`void` | `write(K key, V value)` Writes a key/value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBOutputFormat.DBRecordWriter

    protected DBOutputFormat.DBRecordWriter(Connection connection,
                                            PreparedStatement statement)
                                     throws SQLException

Throws:
  `SQLException`

Method Detail

### close

    public void close(Reporter reporter)
               throws IOException

  Close this `RecordWriter` to future operations.

  Specified by:
    `close` in interface `RecordWriter<K extends DBWritable,V>`
  Parameters:
    `reporter` - facility to report progress.
  Throws:
    `IOException`

### write

    public void write(K key,
                      V value)
               throws IOException

  Writes a key/value pair.

  Specified by:
    `write` in interface `RecordWriter<K extends DBWritable,V>`
  Parameters:
    `key` - the key to write.
    `value` - the value to write.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation